﻿@model EnviarCodigoViewModel

@{
    ViewData["Title"] = "Enviar código 2F a Email";
}

<h2>Enviar código de verificación</h2>

<form asp-action="EnviarCodigoEmail" asp-controller="Cuentas" asp-route-returnUrl="@Model.ReturnUrl" method="POST">
    <input type="hidden" asp-for="@Model.Email" name="Email" />
    <input type="hidden" asp-for="@Model.RememberMe" name="rememberMe" />

    <hr />
    <div class="row">
        <div class="col-md-8">
            Seleccione el proveedor de autenticación de 2 factores:
            <select asp-for="SelectedProvider" asp-items="@Model.Providers" class="form-control">
            </select>
            <input type="submit" value="Enviar" class="btn btn-primary" />
        </div>
    </div>
</form>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}